html{
    font-size: 15px;
}
body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    font-size: 1rem;
    font-family: 'Montserrat', sans-serif;
    color: hsl(233, 13%, 49%);
    text-align: center;

    background-image: url('/images/bg-top.svg');
    background-position: top right -200px ;
    background-repeat: no-repeat;   
    background-color: hsl(240, 78%, 98%);
} 

input[type="button"] , input[type="submit"]{
    background: linear-gradient(hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
    color: hsl(240, 78%, 98%);
    font-family: inherit;
    border: none;
    border-radius: 10px;
    padding: 10px;
    margin: 10px;

}
.contact{
    align-self: center;
    order: 1;
}
/* Code of toggle switch */
.switch {
    position: relative;
    display: inline-block;
  }
  .switch-input {
    display: none;
  }
  .switch-label {
    display: block;
    width: 48px;
    height: 24px;
    text-indent: -150%;
    clip: rect(0 0 0 0);
    color: transparent;
    user-select: none;
  }
  .switch-label::before,
  .switch-label::after {
    content: "";
    display: block;
    position: absolute;
    cursor: pointer;
  }
  .switch-label::before {
    width: 100%;
    height: 100%;
    background: linear-gradient(hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
    border-radius: 9999em;
    -webkit-transition: background-color 0.25s ease;
    transition: background-color 0.25s ease;
  }
  .switch-label::after {
    top: 0;
    left: 0;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.45);
    -webkit-transition: left 0.25s ease;
    transition: left 0.25s ease;
  }
  .switch-input:checked + .switch-label::before {
    background: linear-gradient( hsl(237, 63%, 64%),hsl(236, 72%, 79%) );
  }
  .switch-input:checked + .switch-label::after {
    left: 24px;
  }

hr{
    width: 85%;
    border-color: hsl(240, 78%, 98%);
}
.pricePage, .contactPage{
    width: 90vw;
    height: 80vh;

    display: flex;
    flex-direction: column;
    justify-content: stretch;
    row-gap: 20px;
    
}
.priceCardWrapper{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.pricePage h2{
    font-size: inherit;
    margin: 0;
}

.priceCard{
    width :350px;
    height: 450px;
    background: hsl(240, 78%, 98%);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;

    border: hsl(234, 14%, 74%);
    border-style: solid;
    border-radius: 40px;
    box-shadow: 0 1px 6px hsl(234, 14%, 74%), 0 1px 4px hsl(233, 13%, 49%);
}
.priceCard:hover{
    width :400px;
    height: 500px;
    background: linear-gradient(hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
    color: hsl(240, 78%, 98%);
    overflow:visible;
}

.price{
    font-size: 4rem;
    color: hsl(232, 13%, 33%);
    margin: 0.667rem;
}
.priceCard:hover .price{
    color: inherit;
}

.dollar{
    font-size: 2rem;
    position: relative;
    top: -1rem;
}
.learnMoreButton{
    width: 85%;
    margin: 10px;
    padding: 10px;
    background: linear-gradient(hsl(236, 72%, 79%) , hsl(237, 63%, 64%));
    color: hsl(240, 78%, 98%);
    font-family: inherit;
    border: none;
    border-radius: 10px;
}

.priceCard:hover .learnMoreButton{
    background: hsl(240, 78%, 98%);
    color: hsl(237, 47%, 61%);
}

input{
    cursor: pointer;
}

.monthly{
    display: none;
}

.yearly{
    display: inline-block;
}

/* Contact Page */
.contactPage{
    display: flex;
    align-items: center;
    justify-content: center;
    width : 60vw;
    text-align: center;
}
.conatctForm{
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contactDetails{
    text-align: left;
    min-width: 314px;
}
.contactPage  label{
    text-align: left;
}
#queries{
    height: 10vh;
}
.contactPage  input{
    font: inherit;
    border: hsl(234, 14%, 74%);
    box-shadow: 0 1px 6px hsl(234, 14%, 74%), 0 1px 4px hsl(233, 13%, 49%);
}